Description

Make one compete madlib for the column annotation.

1. I'd like to see the context annotation tab be folded into the
column annotation tab. Specifically, | think the column annotation
should contain two madlib sentences:

The &lt;characteristicé&gt; of the &lt;entity&gt; was recorded using the
&1lt;standard&gt; standard and the &lt;protocolé&gt; protocol.

The &lt;entityé&gt; was observed &lt;relationship&gt; the &lt;existing-entityé&gt; [Add. ..

Where [Add...] is a button that adds another context sentence that can
be filled in.

History

#1 - 03/04/2010 10:39 AM - ben leinfelder

Started by making the CustomList have a madlib string representation of the context entry. The template is such:
"The Observation was <relationship> the <observation>"

and looks like this in practice:

"The Observation was Within the TemporalPoint (when)"

This is still in it's own tab and is not a directly-editable madlib panel

#2 - 04/16/2010 09:53 AM - ben leinfelder
Context can be edited in place, madlib-style. There are add/remove buttons for the context entries.

They are still in their own tab due to space considerations.

#3 - 03/27/2013 02:28 PM - Redmine Admin
Original Bugzilla ID was 4854

#4 - 11/26/2013 08:52 AM - ben leinfelder

- Target version changed from Unspecified to morpho-plugin-0.9.0
